Bug 33295

Summary: Add Gtk bots to the list of "core builders" (builders which stop the commit-queue when they turn red)
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, gns, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 33544, 35311, 28041, 33027, 33294, 33342, 33445, 33457, 33458, 33472, 33497, 33556    
Bug Blocks: 33296, 33377    
Attachments:
Description Flags
Patch none

Description Eric Seidel (no email) 2010-01-06 20:39:45 PST
Add Gtk bots to the list of "core builders" (builders which stop the commit-queue when they turn red)
The "core builders" are also the builders that will cause bugzilla-tool land-diff (and related commands) to abort a commit unless the user passes --ignore-builders.

http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/webkitpy/buildbot.py#L47

It will probably be awhile before the Gtk bots are regularly stable enough for us to do this, but at least having this bug gives me a place to relate flakey test bugs to, and gives the Gtk folks something to shoot for.
Comment 1 Eric Seidel (no email) 2010-04-16 16:14:48 PDT
I think it's time to try adding the Gtk bots to the core builders.

Someone just needs to write the patch.  See http://trac.webkit.org/changeset/57561 for an example from adding Qt.

I'll write it next week if no one beats me to it.
Comment 2 Eric Seidel (no email) 2010-04-18 05:14:44 PDT
Created attachment 53627 [details]
Patch
Comment 3 Eric Seidel (no email) 2010-04-18 05:15:33 PDT
Comment on attachment 53627 [details]
Patch

I expect there is still some de-flaking to do for the Gtk bots.  We can flip some of the bots back to non-core if they prove too flaky or folks aren't maintaining them.
Comment 4 Adam Barth 2010-04-18 10:28:01 PDT
Comment on attachment 53627 [details]
Patch

That's exciting
Comment 5 WebKit Commit Bot 2010-04-18 10:43:58 PDT
Comment on attachment 53627 [details]
Patch

Clearing flags on attachment: 53627

Committed r57795: <http://trac.webkit.org/changeset/57795>
Comment 6 WebKit Commit Bot 2010-04-18 10:44:05 PDT
All reviewed patches have been landed.  Closing bug.